doctrine:
    dbal:
        url: '%env(resolve:DATABASE_URL)%'

        # IMPORTANT: You MUST configure your server version,
        # either here or in the DATABASE_URL env var (see .env file)
        #server_version: '13'
    orm:
        auto_generate_proxy_classes: true
        naming_strategy: doctrine.orm.naming_strategy.underscore_number_aware
        auto_mapping: true
        mappings:
            CargosJusticia:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\CargosJusticia'
                alias: AppCargosJusticia
            DepartamentosJudiciales:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\DepartamentosJudiciales'
                alias: AppDepartamentosJudiciales
            RegionesJudiciales:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Referencia'
                is_bundle: false
                prefix: 'App\Entity\Referencia\RegionesJudiciales'
                alias: AppRegionesJudiciales
            Examenes:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Examen'
                is_bundle: false
                prefix: 'App\Entity\Examen'
                alias: AppExamenes
            Convocatorias:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Convocatorias'
                is_bundle: false
                prefix: 'App\Entity\Convocatorias'
                alias: AppConvocatorias
            Inscripcion:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/Inscripciones'
                is_bundle: false
                prefix: 'App\Entity\Inscripciones\Inscripcion'
                alias: AppInscripcion
            InscripcionExcepcional:
                type: attribute
                dir: '%kernel.project_dir%/src/Entity/InscripcionesExcepcionales'
                is_bundle: false
                prefix: 'App\Entity\InscripcionesExcepcionales\InscripcionExcepcional'
                alias: AppInscripcionExcepcional
            App:
                is_bundle: false
                type: annotation
                dir: '%kernel.project_dir%/src/Entity'
                prefix: 'App\Entity'
                alias: App
        dql:
            datetime_functions:
                DATE_FORMAT: DoctrineExtensions\Query\Mysql\DateFormat
